<!-- <div *ngFor="let data of posts1" mat-dialog-content>
    <b>Billing Address:</b>
    <tr>billing_address :{{data.billing_address}}</tr>
    <tr>pincode: {{data.pincode}}</tr>
    <tr>city: {{data.city}}</tr>
    <tr>state :{{data.state}}</tr>
    <tr>country :{{data.country}}</tr>
    <tr>mobile: {{data.mobile}}</tr>
    <tr>email: {{data.email}}</tr>
    <tr>{data.state}}</tr>
    <tr>{{data.country}}</tr>
    <tr>{{data.pincode}}</tr>
    <div>
      <br>
    </div>
  </div> -->
  <div *ngFor="let data of posts2" mat-dialog-content>
        <!-- <b>Shipping Address:</b> -->
        <tr><b>shipping_address :</b>{{data.shipping_address}}</tr>
        <tr><b>pincode :</b> {{data.pincode}}</tr>
        <tr><b>city :</b> {{data.city}}</tr>
        <tr><b>state :</b>{{data.state}}</tr>
        <tr><b>country :</b>{{data.country}}</tr>
        <tr><b>mobile :</b> {{data.mobile}}</tr>
        <tr><b>email :</b> {{data.email}}</tr>
    <div>
      <br>
    </div>
  </div>
  <div mat-dialog-actions>
    <button mat-button (click)="onNoClick()" >Ok</button>
    <!-- <button mat-button (click)="ondelete(data)" [mat-dialog-close]="data" cdkFocusInitial>Yes</button> -->
  </div>

  